!+ Function to determine whether a line is blank.
!
! Method:
!	Straightforward
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION NON_BLANK(LINE)
!
!     DUMMY ARGUMENTS
      CHARACTER	!, INTENT(IN)
     &     LINE*(*)
!             INPUT LINE
      LOGICAL	!, INTENT(OUT)
     &     NON_BLANK
!             FUNCTIONAL LOGICAL
!
!     LOCAL VARIABLES
      INTEGER
     &     J
!             LOOP INDEX
!
!
      J=LEN(LINE)
      NON_BLANK=.FALSE.
1     IF (J.GT.0) THEN
         IF (LINE(J:J).NE.' ') THEN
            NON_BLANK=.TRUE.
            RETURN
         ELSE
            J=J-1
            GOTO 1
         ENDIF
      ELSE
         RETURN
      ENDIF
!
!
      END
